kind: pipeline
type: docker
name: deploy

steps:
  - name: build
    image: node:22.22.0
    commands:
      - npm install -g @quasar/cli
      - npm install
      - quasar build -m spa

  - name: deploy
    image: appleboy/drone-scp
    settings:
      host: 10.10.10.10
      username: root
      key: 
        from_secret: SSH-nginx-key
      source: ./dist/spa/*
      strip_components: 2
      target: /usr/share/nginx/tgCrewLanding
      rm: true
    when:
      branch: main